# Uses of Interface
org.apache.sling.api.resource.ValueMap

Packages that use ValueMap
Package
Description
org.apache.sling.api.resource
org.apache.sling.api.wrappers
org.apache.sling.spi.resource.provider

## Uses of ValueMap in org.apache.sling.api.resource

Subinterfaces of ValueMap in org.apache.sling.api.resource
Modifier and Type
Interface
Description
`interface`
`ModifiableValueMap`
The `ModifiableValueMap` is an extension of the `ValueMap` which allows to modify and persist properties.
`interface`
`PersistableValueMap`
Deprecated.
Use the `ModifiableValueMap` instead.
Fields in org.apache.sling.api.resource declared as ValueMap
Modifier and Type
Field
Description
`static final ValueMap`
ValueMap.`EMPTY`
Empty immutable value map.
Methods in org.apache.sling.api.resource that return ValueMap
Modifier and Type
Method
Description
`ValueMap`
AbstractResource.`getValueMap()`
This method calls `Adaptable.adaptTo(Class)` with the `ValueMap` class as an argument.
`@NotNull ValueMap`
Resource.`getValueMap()`
Returns a value map for this resource.
`static @NotNull ValueMap`
ResourceUtil.`getValueMap(Resource res)`
Returns an `ValueMap` object for the given `Resource`.
`@NotNull ValueMap`
ResourceWrapper.`getValueMap()`
Methods in org.apache.sling.api.resource that return types with arguments of type ValueMap
Modifier and Type
Method
Description
`Iterator<ValueMap>`
QueriableResourceProvider.`queryResources(ResourceResolver resolver, String query, String language)`
Deprecated.
Queries the storage using the given query formulated in the given language.

## Uses of ValueMap in org.apache.sling.api.wrappers

Classes in org.apache.sling.api.wrappers that implement ValueMap
Modifier and Type
Class
Description
`class`
`CompositeValueMap`
Deprecated.
Use `ValueMapUtil.merge(ValueMap...)` instead.
`class`
`DeepReadModifiableValueMapDecorator`
A value map wrapper which implements deep reading of properties based on the resource tree and also supports `ModifiableValueMap`.
`class`
`DeepReadValueMapDecorator`
A value map wrapper which implements deep reading of properties based on the resource tree.
`class`
`ModifiableValueMapDecorator`
`ModifiableValueMapDecorator` decorates another `Map` to provide a basic implementation for the additional methods of a `ModifiableValueMap`.
`class`
`ValueMapDecorator`
`ValueMapDecorator` decorates another `Map` to provide a basic implementation for the additional methods of a `ValueMap`.
Methods in org.apache.sling.api.wrappers that return ValueMap
Modifier and Type
Method
Description
`static @NotNull ValueMap`
ValueMapUtil.`cache(@NotNull ValueMap valueMap)`
Decorates the given `ValueMap` with a caching layer.
`static @NotNull ValueMap`
ValueMapUtil.`merge(@NotNull List<ValueMap> valueMaps)`
Merge provided `ValueMaps` into a single view `ValueMap` that aggregates all key-value pairs of the given maps.
`static @NotNull ValueMap`
ValueMapUtil.`merge(@NotNull ValueMap... valueMaps)`
A convenience method that turns the var-args into a `Collection` and delegates to `ValueMapUtil.merge(List)`.
`static @NotNull ValueMap`
ValueMapUtil.`mergeAndCache(@NotNull List<ValueMap> valueMaps)`
Convenience method that allows creating a merged `ValueMap` where accessed mappings are cached to optimize repeated lookups.
Methods in org.apache.sling.api.wrappers with parameters of type ValueMap
Modifier and Type
Method
Description
`static @NotNull ValueMap`
ValueMapUtil.`cache(@NotNull ValueMap valueMap)`
Decorates the given `ValueMap` with a caching layer.
`static @NotNull ValueMap`
ValueMapUtil.`merge(@NotNull ValueMap... valueMaps)`
A convenience method that turns the var-args into a `Collection` and delegates to `ValueMapUtil.merge(List)`.
Method parameters in org.apache.sling.api.wrappers with type arguments of type ValueMap
Modifier and Type
Method
Description
`static @NotNull ValueMap`
ValueMapUtil.`merge(@NotNull List<ValueMap> valueMaps)`
Merge provided `ValueMaps` into a single view `ValueMap` that aggregates all key-value pairs of the given maps.
`static @NotNull ValueMap`
ValueMapUtil.`mergeAndCache(@NotNull List<ValueMap> valueMaps)`
Convenience method that allows creating a merged `ValueMap` where accessed mappings are cached to optimize repeated lookups.
Constructors in org.apache.sling.api.wrappers with parameters of type ValueMap
Modifier
Constructor
Description
``
`CompositeValueMap(ValueMap properties, ValueMap defaults)`
Deprecated.
Constructor
``
`CompositeValueMap(ValueMap properties, ValueMap defaults, boolean merge)`
Deprecated.
Constructor
``
`DeepReadModifiableValueMapDecorator(Resource resource, ValueMap base)`
``
`DeepReadValueMapDecorator(Resource resource, ValueMap base)`

## Uses of ValueMap in org.apache.sling.spi.resource.provider

Methods in org.apache.sling.spi.resource.provider that return types with arguments of type ValueMap
Modifier and Type
Method
Description
`Iterator<ValueMap>`
QueryLanguageProvider.`queryResources(@NotNull ResolveContext<T> ctx, String query, String language)`
Queries the storage using the given query formulated in the given language.